<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.EditUsuariosTitle}"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form id="formEditUsuario">
                <p:growl id="growl" showDetail="true" /> 
                <p:messages id="msgs_error" />    
                <p:panel header="Datos Básicos">
                    <h:panelGrid columns="3">

                        <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrNombre}" for="usrNombre" />
                        <p:inputText id="usrNombre" value="#{usuariosController.selected.usrNombre}" type="text" title="#{bundle.CreateUsuariosTitle_usrNombre}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrNombre}">
                            <f:validateLength minimum="3" maximum="50"/>  
                            <p:ajax update="msgNombres" event="keyup" />
                        </p:inputText>
                        <p:message for="usrNombre" id="msgNombres" display="tooltip" />

                        <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrApellido}" for="usrApellido" />
                        <p:inputText id="usrApellido" value="#{usuariosController.selected.usrApellido}" type="text" title="#{bundle.CreateUsuariosTitle_usrApellido}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrApellido}">
                            <f:validateLength minimum="3" maximum="45"/>
                            <p:ajax update="msgApellidos" event="keyup" />
                        </p:inputText>
                        <p:message for="usrApellido" id="msgApellidos" display="tooltip" />

                        <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrSexo}" for="usrSexo" />
                        <h:selectOneMenu id="usrSexo" value="#{usuariosController.selected.usrSexo}" required="true">

                            <f:selectItem itemLabel="Mujer" itemValue="false" />
                            <f:selectItem itemLabel="Hombre" itemValue="true" />
                        </h:selectOneMenu>
                        <p:message for="usrSexo" id="msgSexo" display="tooltip" />
                        <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrTipoDoc}" for="usrTipoDoc" />
                        <h:selectOneMenu id="usrtipoDocu" value="#{usuariosController.selected.usrTipoDoc}" required="true">
                            <f:selectItem itemLabel="---" itemValue="" noSelectionOption="true" />
                            <f:selectItem itemLabel="Ti" itemValue="TI" />
                            <f:selectItem itemLabel="CC" itemValue="CC" />
                        </h:selectOneMenu>
                        <p:message for="usrtipoDocu" id="msgTipoDocu" display="tooltip" />
                        <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrNumDoc}" for="usrNumDoc" />
                        <h:inputText id="usrNumDoc" value="#{usuariosController.selected.usrNumDoc}" title="#{bundle.CreateUsuariosTitle_usrNumDoc}" />
                        <p:message for="usrNumDoc" id="msgNumDoc" display="tooltip" />
                        <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrEmail}" for="usrEmail" />
                        <h:inputText id="usrEmail"  pt:type="email" pt:placeholder="Ingrese un email" value="#{usuariosController.selected.usrEmail}" title="#{bundle.CreateUsuariosTitle_usrEmail}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrEmail}">
                            <f:validateLength minimum="3" maximum="45"/>    
                            <p:ajax update="msgEmail" event="keyup"/>
                        </h:inputText>
                        <p:message for="usrEmail" id="msgEmail" display="tooltip" />

                        <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrDepartamentoId}" for="departamentosdepartamentoid" />
                        <h:selectOneMenu id="departamentosdepartamentoid" value="#{usuariosController.selected.usrDepartamentoId}" title="#{bundle.CreateUsuariosTitle_usrDepartamentoId}" validator="#{ciudadController.asignarDepartamento}">                        
                            <f:selectItems  value="#{departamentosController.departamentos}"  var="departamento"  itemLabel="#{departamento.departamentoNombre}" />                        
                            <p:ajax  listener="#{ciudadController.asignarCiudades}"   update="ciudades" />  
                        </h:selectOneMenu>
                        <p:message for="departamentosdepartamentoid" id="msgDepartamento" display="tooltip" />
                        <h:outputLabel for="ciudades" value="#{bundle.CreateUsuariosLabel_usrCiudadId}" />
                        <h:selectOneMenu id="ciudades" value="#{usuariosController.selected.usrCiudadId}" title="#{bundle.CreateUsuariosTitle_usrCiudadId}"  >                         
                            <f:selectItems value="#{ciudadController.ciudades}" var="ciudad"  itemLabel="#{ciudad.ciudadNombre}" />
                        </h:selectOneMenu>
                        <p:message for="ciudades" id="msgCiudades" display="tooltip" />
                        <h:outputLabel for="roles" value="#{bundle.CreateUsuariosLabel_usrRolId }" />
                        <h:selectOneMenu id="roles" value="#{usuariosController.selected.usrRolId}" title="#{bundle.CreateUsuariosTitle_usrRolId}"  >                         
                            <f:selectItems value="#{rolController.roles}" var="roles" itemLabel="#{roles.rolNombre}" />
                        </h:selectOneMenu>
                    </h:panelGrid>
                </p:panel>
                <h:commandButton action="#{usuariosController.update}" value="#{bundle.EditUsuariosSaveLink}" immediate="true" >
                    <p:ajax update=":tabViewAdmin:formUsuarios:tablaUsuarios" 
                            process="@this" oncomplete="PF('dlgUsuario').hide();"/>
                </h:commandButton>

            </h:form>
        </ui:define>
    </ui:composition>

</html>
